[roll third_party/pigweed] docs: Remove blockdiag

funcparserlib, a blockdiag dependency, is not Python 3 compatible. This
dependency worked previously using the setuptools use_2to3 option,
which is deprecated.

This change removes blockdiag and all images that use it. The images
will be replaced with rendered images from blockdiag or Mermaid.

Original-Reviewed-on: https://pigweed-review.googlesource.com/c/pigweed/pigweed/+/59960

https://pigweed.googlesource.com/pigweed/pigweed
third_party/pigweed Rolled-Commits: 5d15dbe0d5c6a00..79ea2cf5dd7a766
Roller-URL: https://ci.chromium.org/b/8836709360688457457
Cq-Cl-Tag: roller-builder:pigweed-sample-project-roller
Cq-Cl-Tag: roller-bid:8836709360688457457
CQ-Do-Not-Cancel-Tryjobs: true
Change-Id: Iac691977a3651919a49c30f14a78c47aa4ef2af9
Reviewed-on: https://pigweed-review.googlesource.com/c/pigweed/sample_project/+/59980
Bot-Commit: Pigweed Integration Roller <pigweed-integration-roller@pigweed.google.com.iam.gserviceaccount.com>
Commit-Queue: Pigweed Integration Roller <pigweed-integration-roller@pigweed.google.com.iam.gserviceaccount.com>
diff --git a/third_party/pigweed b/third_party/pigweed
index 5d15dbe..79ea2cf 160000
--- a/third_party/pigweed
+++ b/third_party/pigweed
@@ -1 +1 @@
-Subproject commit 5d15dbe0d5c6a0082861c47fb70a08392d1f6bef
+Subproject commit 79ea2cf5dd7a766efbfb2c8d9f1019aa983e79e8